#ifndef CRIPTOSISTEMAS_H
#define CRIPTOSISTEMAS_H

#include <QMainWindow>


namespace Ui {
class CriptoSistemas;
}


class CriptoSistemas : public QMainWindow
{
    Q_OBJECT

    public:
        explicit CriptoSistemas(QWidget *parent = 0);
        ~CriptoSistemas();
        Ui::CriptoSistemas *ui;

    private slots:
        void Inicio();
        void OpcionLlaves();
        void GenerarLlaves();
        void CifrarArchivo();
        void DescifrarArchivo();
        void Ayuda();
        void OpenFolderForCrifrar();
        void SaveFile();
        void OpenFolderForDescifrar();
        void SaveFileForDescifrado();
};

#endif // CRIPTOSISTEMAS_H
